View Issue Details

IDProjectCategoryView StatusLast Update
0004869Talermechant backendpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004869: build fail
DescriptionDue to recent changes, the merchant build fails with:

  CC taler-merchant-httpd_contract.o
taler-merchant-httpd_contract.c: In function ‘MH_handler_contract’:
taler-merchant-httpd_contract.c:262:11: error: ‘struct TALER_ContractPS’ has no member named ‘transaction_id’
   contract.transaction_id = GNUNET_htonll (transaction_id);
           ^
taler-merchant-httpd_contract.c:263:31: error: ‘struct TALER_ContractPS’ has no member named ‘total_amount’
   TALER_amount_hton (&contract.total_amount,
                               ^
taler-merchant-httpd_contract.c:265:31: error: ‘struct TALER_ContractPS’ has no member named ‘max_fee’
   TALER_amount_hton (&contract.max_fee,
                               ^
taler-merchant-httpd_contract.c:270:11: error: ‘struct TALER_ContractPS’ has no member named ‘merchant_pub’
   contract.merchant_pub = mi->pubkey;
TagsNo tags attached.

Activities

Marcello Stanisci

2017-01-27 17:18

manager   ~0011656

Fixed in 0cb34246645f, although the way /pay checks deposit permission's
validity is to be adapted to the new ContractPS layout.

Issue History

Date Modified Username Field Change
2017-01-27 11:43 Marcello Stanisci New Issue
2017-01-27 11:43 Marcello Stanisci Status new => assigned
2017-01-27 11:43 Marcello Stanisci Assigned To => Marcello Stanisci
2017-01-27 11:44 Marcello Stanisci Priority normal => high
2017-01-27 17:18 Marcello Stanisci Status assigned => resolved
2017-01-27 17:18 Marcello Stanisci Resolution open => fixed
2017-01-27 17:18 Marcello Stanisci Note Added: 0011656
2017-02-01 13:39 Christian Grothoff Product Version => SVN HEAD
2017-02-01 13:39 Christian Grothoff Fixed in Version => 0.3
2017-02-01 13:39 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed